mcmmo doesn't work!

Discussion in 'Spigot Plugin Help' started by Moerfieone, May 16, 2016.

  1. [Server thread/INFO]: [mcMMO] Enabling mcMMO v1.5.04-SNAPSHOT-b82
    [00:49:40] [Server thread/ERROR]: [mcMMO] There was an error while enabling mcMMO!
    [00:49:40] [Server thread/WARN]: java.lang.StringIndexOutOfBoundsException: String index out of range: -1
    [00:49:40] [Server thread/WARN]: at java.lang.String.substring(Unknown Source)
    [00:49:40] [Server thread/WARN]: at com.gmail.nossr50.config.treasure.TreasureConfig.loadTreaures(TreasureConfig.java:242)
    [00:49:40] [Server thread/WARN]: at com.gmail.nossr50.config.treasure.TreasureConfig.loadKeys(TreasureConfig.java:137)
    [00:49:40] [Server thread/WARN]: at com.gmail.nossr50.config.treasure.TreasureConfig.<init>(TreasureConfig.java:74)
    [00:49:40] [Server thread/WARN]: at com.gmail.nossr50.config.treasure.TreasureConfig.getInstance(TreasureConfig.java:80)
    [00:49:40] [Server thread/WARN]: at com.gmail.nossr50.mcMMO.loadConfigFiles(mcMMO.java:406)
    [00:49:40] [Server thread/WARN]: at com.gmail.nossr50.mcMMo_OnEnable(mcMMO.java:146)
    [00:49:40] [Server thread/WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321)
    [00:49:40] [Server thread/WARN]: at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340)
    [00:49:40] [Server thread/WARN]: at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405)
    [00:49:40] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:357)
    [00:49:40] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:317)
    [00:49:40] [Server thread/WARN]: at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:199)
    [00:49:40] [Server thread/WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525)
    [00:49:40] [Server thread/WARN]: at java.lang.Thread.run(Unknown Source)
    [00:49:40] [Server thread/INFO]: [mcMMO] Disabling mcMMO v1.5.04-SNAPSHOT-b82
    [00:49:40] [Server thread/ERROR]: [mcMMO] Cannot read D:\Bungeecord Server System\Minecraft Server Plugins Survival\plugins\mcMMO\experience.yml(File Permissions?)
    [00:49:40] [Server thread/ERROR]: [mcMMO] Cannot read D:\Bungeecord Server System\Minecraft Server Plugins Survival\plugins\mcMMO\repair.vanilla.yml(File Permissions?)
    [00:49:40] [Server thread/ERROR]: Error occurred while disabling mcMMO v1.5.04-SNAPSHOT-b82 (Is it up to date?)
    java.lang.NullPointerException
    at com.gmail.nossr50.mcMMo_OnDisable(mcMMO.java:250) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:323) ~[spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.java.JavaPluginLoader.disablePlugin(JavaPluginLoader.java:364) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:424) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at com.gmail.nossr50.mcMMo_OnEnable(mcMMO.java:204) [mcMMO(2).jar:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:357) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:317) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:199) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_91]
    [00:49:40] [Server thread/INFO]: [ViaVersion] Enabling ViaVersion v0.8.1
    [00:49:40] [Server thread/INFO]: [Vault] Enabling Vault v1.5.6-b49

    I don't know what the mistake is?
    Any ideas?